Package org.zkoss.zk.ui

## Class WrongValuesException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.zkoss.lang.SystemException
        - - org.zkoss.zk.ui.UiException
          - - org.zkoss.zk.ui.OperationException
            - - org.zkoss.zk.ui.WrongValuesException

- All Implemented Interfaces:
    `java.io.Serializable`, `Expectable`, `Messageable`, `MessageConst`

      public class WrongValuesException
      extends OperationException

  Denotes an exception that is an aggregation of multiple `WrongValueException`.
  Since:
    3.6.0
  Author:
    jumperchen
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.zkoss.zk.ui.UiException

      `UiException.Aide`

    - ### Nested classes/interfaces inherited from interface org.zkoss.mesg.MessageConst

      `MessageConst.BundleInfo`

  - ### Field Summary

    - ### Fields inherited from class org.zkoss.lang.SystemException

      `_code`

    - ### Fields inherited from interface org.zkoss.mesg.MessageConst

      `NULL_CODE`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `WrongValuesException​(WrongValueException[] wrongValueExs)` | Constructs a multiple wrong value exception.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `WrongValueException[]` | `getWrongValueExceptions()` | Returns all the exceptions (never null).

    - ### Methods inherited from class org.zkoss.lang.SystemException

      `getCode`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### WrongValuesException

          public WrongValuesException​(WrongValueException[] wrongValueExs)

      Constructs a multiple wrong value exception.
      Parameters:
        `wrongValueExs` - an array of `WrongValueException`
      Throws:
        `java.lang.IllegalArgumentException` - if wrongValueExs is null or empty

  - ### Method Detail

    - #### getWrongValueExceptions

          public WrongValueException[] getWrongValueExceptions()

      Returns all the exceptions (never null).